import utime

# PiicoDev VEML6040 minimal example code
# This program reads light data from the PiicoDev VEML6040 Colour Sensor
# Displays Raw Data, and classifies colours as fruits

from PiicoDev_VEML6040 import PiicoDev_VEML6040
from PiicoDev_Unified import sleep_ms # cross-platform compatible sleep function

# Associate a hue value with a colour
ColourList = {
    "red":25,
    "lemon":36,
    "orange":46,
    "yellow":51,
    "lime":67,
    "green":126,
    "blue":179
    }

colourSensor = PiicoDev_VEML6040() # initialise the sensor

iComment = input("Enter Colour Comment: ")

file = open("Colour_HUE_Testing_"+iComment+".html", "w")
file.write("<html>")
file.write("<font size='5' color='blue'>")
file.write("<head>PICO COLOUR HUE TEST READINGS</head>")
file.write("</font>")

file.write("<body><p>"+ "\n")
file.write("Comment - "+ iComment + "<br>"+"\n")
file.write("Colour Hue starting ... " + "<br>"+"\n")
file.flush()
print("Comment - ", iComment)
print("Colour Hue Test starting!")
for i in range(1,5):
    
    ### Example 2: Classify the colour being shown 
    data = colourSensor.readHSV() # Read the sensor (Colour space: Hue Saturation Value)
    hue = data['hue'] # extract the Hue information from data
    saturation = data['sat']
    valu = data['val']

    label = colourSensor.classifyHue() # Read the sensor again, this time classify the colour
    label = colourSensor.classifyHue(hues=ColourList) # Read the sensor again, this time classify the colour
    label=colourSensor.classifyHue(hues={"red":0,"yellow":60,"green":120,"cyan":180,"blue":240,"magenta":300}, min_brightness=0)

    print(str(label) + " Hue: " + str(hue)+" Sat: "+str(saturation)+" Val: "+str(valu)) # Show the label and the corresponding hue
#     print(str(label) + " Hue: " + str(hue)) # Show the label and the corresponding hue

    file.write(str(label) + " Hue: " + str(hue)+" Sat: "+str(saturation)+" Val: "+str(valu) + "<br>"+"\n") # Show the label and the corresponding hue
  
    file.flush()
    utime.sleep(3)
    print("Colour HUE Test", i)
print("Colour HUE Test finished!")
file.write("COLOUR HUE TEST COMPLETED ... " + "<br>"+"\n")
file.write("HUES = Red:0,Yellow:60,Green:120,Cyan:180,Blue:240,Magenta:300"+"<br>"+"\n")
print("HUES = Red:0,Yellow:60,Green:120,Cyan:180,Blue:240,Magenta:300")
print("Output to Colour_HUE_Testing_"+iComment+".html ")
file.write("</p></body>"+ "\n")
file.write("</html>"+ "\n")
file.flush()