# PiicoDev VEML6040 minimal example code
# This program reads light data from the PiicoDev VEML6040 Colour Sensor
import utime

from PiicoDev_VEML6040 import PiicoDev_VEML6040
from PiicoDev_Unified import sleep_ms # cross-platform compatible sleep function

colourSensor = PiicoDev_VEML6040() # initialise the sensor

def rgb_to_hex(rgb):
    return '#%02x%02x%02x' % rgb

iComment = input("Enter Colour Comment: ")

file = open("Colour_RGBTesting_"+iComment+".html ", "w")
file.write("<html>")
file.write("<font size='5' color='blue'>")
file.write("<head>PICO COLOUR TEST READINGS</head>")
file.write("</font>")

file.write("<body><p>"+ "\n")
file.write("Comment - "+ iComment + "<br>"+"\n")
file.write("Colour Test starting ... " + "<br>"+"\n")
file.flush()
print("Comment - ", iComment)
print("Colour Test starting!")
for i in range(1,5):
    data = colourSensor.readRGB() # Read the sensor (Colour space: Red Green Blue)
    red = data['red'] # extract the RGB information from data
    grn = data['green']
    blu = data['blue']
    
    gr=int(grn/red*255)
    br=int(blu/red*255)
    rb=int(red/blu*255)
    gb=int(grn/blu*255)
    rg=int(red/grn*255)
    bg=int(blu/grn*255)
           
    file.write("Red-"+str(red) + "   Green-" + str(grn) + "   Blue-"+str(blu) + "<br>"+"\n")

    if (red)>(grn) and (red)>(blu):
            file.write("R_,G,B = "+"255"+","+str(gr)+","+str(br)+"   " + rgb_to_hex((255, gr, br)) + "<br>" + "\n")
            file.write("<font size='5' face='Webdings' color='"+ rgb_to_hex((255, gr, br)) +"'>")
            file.write("ggggggggg")

            file.write("</font>"+ "<br>"+"\n")
            file.write("<br>"+"\n")
    if (grn)>(red) and (grn)>(blu):
            file.write("R,G_,B = "+str(rg)+","+"255"+","+str(bg)+"   "+ rgb_to_hex((rg, 255, bg)) + "<br>"+"\n")
            file.write("<font size='5' face='Webdings' color='"+ rgb_to_hex((rg, 255, bg)) +"'>")
            file.write("gggggggg")
            file.write("</font>"+ "<br>"+"\n")
            file.write("<br>"+"\n")
    if (blu)>(red) and (blu)>(grn):
            file.write("R,G,B_ = "+str(rb)+","+str(gb)+","+"255"+"   "+ rgb_to_hex((rb, gb, 255)) + "<br>"+"\n")
            file.write("<font size='5' face='Webdings' color='"+ rgb_to_hex((rb, gb, 255)) +"'>")
            file.write("gggggggg")
            file.write("</font>"+ "<br>"+"\n")
            file.write("<br>"+"\n")
    file.flush()
    utime.sleep(3)
    print("Colour RGB Test", i)
print("Colour Test finished!")
file.write("COLOUR TEST COMPLETED ... " + "<br>"+"\n")
print("Colour_RGBTesting_"+iComment+".html ")
file.write("</p></body>"+ "\n")
file.write("</html>"+ "\n")
file.flush()